# Module: `src\history.py`

Auto-generated from source. 2 struct(s) defined in this module.

## `src\history.py::HistoryEntry`

**Kind:** `dataclass`
**Defined at:** line 66

**Fields:**
- `state: typing.Any`
- `description: str`
- `timestamp: float`


## `src\history.py::UISnapshot`

**Kind:** `dataclass`
**Defined at:** line 8
**Summary:** Capture of restorable UI state.

**Fields:**
- `ai_input: str`
- `project_system_prompt: str`
- `global_system_prompt: str`
- `base_system_prompt: str`
- `use_default_base_prompt: bool`
- `temperature: float`
- `top_p: float`
- `max_tokens: int`
- `auto_add_history: bool`
- `disc_entries: list[dict]`
- `files: list[dict]`
- `context_files: list[dict]`
- `screenshots: list[str]`

